#pragma once
#include "Entity.h"
#define CS_ENEMY_OCTOPUS_CREATENAME L"CS_enemy_octopus"
//µÐÈË£ºÕÂÓã
class CS_Enemy_Octopus :
    public Entity
{
public:
    CS_Enemy_Octopus();
    void Step() override;
    void SetState(int stateID, int lr) override;
    void Attack(std::weak_ptr<Entity> dst, int* outDamage, float* outAngle, bool* outTakedown, int* outElemType, float* outShockForce, float* outHeavy) override;
    bool Hurt(std::weak_ptr<Entity> src, int getDamage, float angle, bool bTakedown, int elemType, float shockForce, float heavy, int* outRealDamage) override;
    void TurnBack();
    bool bInvert = false;
    int flash_counter = 0;
    int shot_counter = 0;
    int shot_interval_counter = 0;
    const float shotSpeed = 0x200 / ts;
};

std::shared_ptr<Entity> CreateCS_Enemy_Octopus();